package domain


type AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto struct {
    /*
        商家经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道主订单ID     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        请求唯一键, 提交请求(alibaba.tcls.aelophy.refund.csapply)时保持一致     */
    RequestId  *string `json:"request_id,omitempty" `

    /*
        申请退款的子订单列表     */
    OutSubOrders  *[]AlibabaTclsAelophyRefundCsapplyrenderOutsuborders `json:"out_sub_orders,omitempty" `

    /*
        退款原因枚举列表     */
    ReasonList  *[]AlibabaTclsAelophyRefundCsapplyrenderReasonlist `json:"reason_list,omitempty" `

}

func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto) SetStoreId(v string) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto {
    s.StoreId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto) SetOutOrderId(v string) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto) SetRequestId(v string) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto {
    s.RequestId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto) SetOutSubOrders(v []AlibabaTclsAelophyRefundCsapplyrenderOutsuborders) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto {
    s.OutSubOrders = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto) SetReasonList(v []AlibabaTclsAelophyRefundCsapplyrenderReasonlist) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto {
    s.ReasonList = &v
    return s
}
